> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get import blobs task update

> Get import blobs task update



## OpenAPI

````yaml /api-specs/6.3/public-api.json get /remotefs/v1/tasks/import-blobs/{key}/update
openapi: 3.0.3
info:
  title: Domino Public API
  description: Reference for Domino's public REST API endpoints.
  version: 6.3.1
  x-catalog-key: nucleus
servers:
  - url: https://mycluster.domino.tech
    description: >-
      Replace 'mycluster.domino.tech' with your Domino cluster hostname. For
      Domino Cloud customers, that is `your-subdomain`.domino.tech (e.g.,
      acme.domino.tech). For self-hosted deployments, it is the hostname you
      reach the Domino UI at.
security: []
tags:
  - name: Projects
  - name: Project templates
  - name: Workspaces
  - name: Jobs
  - name: HPC Jobs
  - name: Environments
  - name: Hardware Tiers
  - name: Datasets
  - name: Data Sources
  - name: AI Gateway
  - name: GenAI
  - name: AI Systems
  - name: Apps
  - name: App versions
  - name: App instances
  - name: Model APIs
  - name: Registered models
  - name: Model deployment
  - name: Extensions
  - name: Cost and billing
  - name: Users and organizations
  - name: Service accounts
  - name: Personal Access Tokens
  - name: Personal Access Tokens (admin)
  - name: Audit Trail
  - name: Custom metrics
  - name: PPM
  - name: Model Monitoring models
  - name: Model Monitoring drift and quality
  - name: Model Monitoring settings
  - name: Model Monitoring authentication
  - name: Governance bundles
  - name: Governance policies
  - name: Governance evidence and results
  - name: Governance operations
  - name: NetApp Volumes
  - name: NetApp Volumes snapshots
  - name: NetApp Volumes filesystems
  - name: NetApp Volumes transfers
  - name: Tags
  - name: Properties
externalDocs:
  description: OpenAPI
  url: https://swagger.io/resources/open-api/
paths:
  /remotefs/v1/tasks/import-blobs/{key}/update:
    get:
      tags:
        - NetApp Volumes transfers
      summary: Get import blobs task update
      description: Get import blobs task update
      parameters:
        - description: Key of import blobs task
          name: key
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/data-remotefs-service_remotefs.FiletaskTask
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/data-remotefs-service_server.HTTPError'
components:
  schemas:
    data-remotefs-service_remotefs.FiletaskTask:
      type: object
      properties:
        id:
          type: string
        key:
          type: string
        status:
          type: string
        update:
          $ref: '#/components/schemas/data-remotefs-service_remotefs.TaskUpdate'
    data-remotefs-service_server.HTTPError:
      type: object
      properties:
        message:
          type: string
    data-remotefs-service_remotefs.TaskUpdate:
      type: object
      properties:
        artifactDetails:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.FlowsArtifactDetails
        exportTargetId:
          type: string
        key:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.FlowsArtifactVersionKey
        progress:
          type: integer
        tags:
          type: object
          additionalProperties:
            type: string
        type:
          type: string
        uri:
          type: string
    data-remotefs-service_remotefs.FlowsArtifactDetails:
      type: object
      properties:
        artifact_name:
          type: string
        workflow_name:
          type: string
        workflow_version:
          type: string
    data-remotefs-service_remotefs.FlowsArtifactVersionKey:
      type: object
      properties:
        artifactId:
          type: string
        execution:
          $ref: >-
            #/components/schemas/data-remotefs-service_remotefs.FlowsExecutionIdentifier
    data-remotefs-service_remotefs.FlowsExecutionIdentifier:
      type: object
      properties:
        domain:
          type: string
        name:
          type: string
        project:
          type: string

````

## Related topics

- [Get download task status](/6.3/api-reference/netapp-volumes-transfers/get-download-task-status.md)
- [Get data transfer by ID](/6.3/api-reference/netapp-volumes-transfers/get-data-transfer-by-id.md)
- [Orchestrate with Flows](/6.3/platform-capabilities/features/flows/index.md)
- [Get a single artifact file](/6.3/api-reference/bookmarks/get-a-single-artifact-file.md)
